org.apache.commons.math3.optimization

## Interface BaseMultivariateOptimizer<FUNC extends MultivariateFunction>

- Type Parameters:
    `FUNC` - Type of the objective function to be optimized.
  All Superinterfaces:
    BaseOptimizer<PointValuePair>
  All Known Subinterfaces:
    BaseMultivariateSimpleBoundsOptimizer<FUNC>, DifferentiableMultivariateOptimizer, MultivariateDifferentiableOptimizer, MultivariateOptimizer
  All Known Implementing Classes:
    AbstractDifferentiableOptimizer, AbstractScalarDifferentiableOptimizer, BaseAbstractMultivariateOptimizer, BaseAbstractMultivariateSimpleBoundsOptimizer, BaseMultivariateMultiStartOptimizer, BOBYQAOptimizer, CMAESOptimizer, DifferentiableMultivariateMultiStartOptimizer, MultivariateDifferentiableMultiStartOptimizer, MultivariateMultiStartOptimizer, NonLinearConjugateGradientOptimizer, PowellOptimizer, SimplexOptimizer

  Deprecated.
  As of 3.1 (to be removed in 4.0).

      @Deprecated
      public interface BaseMultivariateOptimizer<FUNC extends MultivariateFunction>
      extends BaseOptimizer<PointValuePair>

  This interface is mainly intended to enforce the internal coherence of Commons-FastMath. Users of the API are advised to base their code on the following interfaces:
  - `MultivariateOptimizer`
  - `MultivariateDifferentiableOptimizer`
  Since:
    3.0
  Version:
    $Id: BaseMultivariateOptimizer.java 1422230 2012-12-15 12:11:13Z erans $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PointValuePair` | `optimize(int maxEval, FUNC f, GoalType goalType, double[] startPoint)` Deprecated. As of 3.1. In 4.0, it will be replaced by the declaration corresponding to this `method`.

    - ### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

      `getConvergenceChecker, getEvaluations, getMaxEvaluations`

- - ### Method Detail

    - #### optimize

          @Deprecated
          PointValuePair optimize(int maxEval,
                                           FUNC f,
                                           GoalType goalType,
                                           double[] startPoint)

      Deprecated. As of 3.1. In 4.0, it will be replaced by the declaration corresponding to this `method`.
      Optimize an objective function.
      Parameters:
        `f` - Objective function.
        `goalType` - Type of optimization goal: either `GoalType.MAXIMIZE` or `GoalType.MINIMIZE`.
        `startPoint` - Start point for optimization.
        `maxEval` - Maximum number of function evaluations.
      Returns:
        the point/value pair giving the optimal value for objective function.
      Throws:
        `DimensionMismatchException` - if the start point dimension is wrong.
        `TooManyEvaluationsException` - if the maximal number of evaluations is exceeded.
        `NullArgumentException` - if any argument is `null`.

Copyright (c) 2003-2013 Apache Software Foundation